Package net.shibboleth.shared.service

# Interface LoggingService

All Superinterfaces:
  `Component`, `InitializableComponent`, `ReloadableService<Object>`

All Known Implementing Classes:
  `LogbackLoggingService`

public interface LoggingService extends ReloadableService<Object>
A logging configuration abstraction that piggybacks on the `ReloadableService` interface.

## Method Summary

Modifier and Type
Method
Description
`void`
`setLoggingConfiguration(Resource configuration)`
Sets the logging configuration.

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface net.shibboleth.shared.service.ReloadableService

`getLastReloadAttemptInstant, getLastSuccessfulReloadInstant, getReloadFailureCause, getServiceableComponent, reload`

## Method Details

### setLoggingConfiguration

void setLoggingConfiguration(@Nonnull Resource configuration)
Sets the logging configuration.

Parameters:
  `configuration` - logging configuration